﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DalDemo.Entities
{
    public class Order
    {

        public int OrderID;

        public string CustomerID;

        public int? EmployeeID;

        public DateTime? OrderDate;

        public DateTime? RequiredDate;

        public DateTime? ShippedDate;

        public ShippingMethodEnum? ShippingMethod;

        public decimal? Freight;

        public string ShipName;

        public string ShipAddress;

        public string ShipCity;

        public string ShipRegion;

        public string ShipPostalCode;

        public string ShipCountry;


        public OrderMetadata Metadata;

    }

    public class OrderMetadata
    {
        public string EmployeeName;
        // public string Title;
    }

}
